Create
curl --request POST \
--url https://{defaultHost}/v1/shipping_rates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_rate": {
"calculatable_type": "amount",
"shipping_zone_id": "b42d3a3e-bcdf-443e-9f9c-958580226cf1",
"shipping_method_id": "deeea48d-acaa-437b-a452-0bea28dda067",
"calculatable": {
"amount": 650,
"min_amount": 0,
"max_amount": 5000
}
}
}
'import requests
url = "https://{defaultHost}/v1/shipping_rates"
payload = { "shipping_rate": {
"calculatable_type": "amount",
"shipping_zone_id": "b42d3a3e-bcdf-443e-9f9c-958580226cf1",
"shipping_method_id": "deeea48d-acaa-437b-a452-0bea28dda067",
"calculatable": {
"amount": 650,
"min_amount": 0,
"max_amount": 5000
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipping_rate: {
calculatable_type: 'amount',
shipping_zone_id: 'b42d3a3e-bcdf-443e-9f9c-958580226cf1',
shipping_method_id: 'deeea48d-acaa-437b-a452-0bea28dda067',
calculatable: {amount: 650, min_amount: 0, max_amount: 5000}
}
})
};
fetch('https://{defaultHost}/v1/shipping_rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "48803279-793b-4303-a322-45ba75e9f1d2",
"object": "shipping_rate",
"calculatable_type": "amount",
"calculatable": {
"currency": "usd",
"amount": 650,
"min_amount": 0,
"max_amount": 5000
},
"shipping_method": "deeea48d-acaa-437b-a452-0bea28dda067",
"shipping_zone": "b42d3a3e-bcdf-443e-9f9c-958580226cf1",
"created_at": 1782485904,
"updated_at": 1782485904
}Shipping Rates
Create
Creates a new shipping rate.
POST
/
v1
/
shipping_rates
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
The kind of the nested calculatable.
Available options:
amount, flat, weight, live - Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Expandable – The associated shipping zone ID.
Expandable – The associated shipping method ID.
Was this page helpful?
⌘I